<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<th:block th:replace="layout/basic :: setContent(~{this::content} )">

    <th:block th:fragment="content">
	
		<div style="border:3px solid #2A403D; border-radius: 20px; margin-top:70px; margin-left:30%; width:40%;">
		
		<center>
       <h1 style="margin-top:70px; ">회원 상세 정보</h1>
       </center>

        <div style="margin-top:55px; margin-left:16%; width:70%;" class="form-group">
            <label >아이디</label>
            <input type="text" class="form-control" name="id" th:value="${dto.id}" readonly >
        </div>
        <div style="margin-top:10px; margin-left:16%; width:70%;" class="form-group">
            <label >비밀번호</label>
            <input type="password" class="form-control" name="password" th:value="${dto.password}" readonly>
        </div>
        <div style="margin-top:10px; margin-left:16%; width:70%;" class="form-group">
            <label >이름</label>
            <input type="text" class="form-control" name="name" th:value="${dto.name}" readonly>
        </div>
        <!-- 등급 필드 추가 -->
        <div style="margin-top:10px; margin-left:16%; width:70%;" class="form-group">
            <label >등급</label>
            <input type="text" class="form-control" name="role" th:value="${dto.role}" readonly>
        </div>
        <div style="margin-top:10px; margin-left:16%; width:70%;" class="form-group">
            <label >등록일</label>
            <input type="text" class="form-control" name="regDate" th:value="${#temporals.format(dto.regDate, 'yyyy/MM/dd HH:mm:ss')}" readonly>
        </div>
        <div style="margin-top:10px; margin-left:16%; width:70%;" class="form-group">
            <label >수정일</label>
            <input type="text" class="form-control" name="modDate" th:value="${#temporals.format(dto.modDate, 'yyyy/MM/dd HH:mm:ss')}" readonly>
        </div>

        <a th:href="@{/member/modify(id = ${dto.id})}">
        	<button style="margin-top:50px; margin-bottom:60px; margin-right:5px; margin-left:46%;" type="button" class="btn btn-primary">수정</button>
        </a>

        <a sec:authorize="hasRole('ROLE_ADMIN')" th:href="@{/member/list(page=${page})}">

        	<button style="margin-top:50px; margin-bottom:60px;" type="button" class="btn btn-info">목록</button>
        </a>
        
		</div>
    </th:block>

</th:block>
